# TourplanerController

Package tourplaner.ui

## Class TourplanerController

- java.lang.Object
- - tourplaner.ui.TourplanerController

All Implemented Interfaces:
  `javafx.fxml.Initializable`

    public class TourplanerController
    extends java.lang.Object
    implements javafx.fxml.Initializable

### Field Summary

Fields
`javafx.scene.control.MenuItem` `beendenButton`
`javafx.scene.control.Tab` `beschreibungTab`
`javafx.scene.control.TableView<Tour>` `beschreibungTableView`
`javafx.scene.control.TableColumn<Tour,​java.lang.String>` `dauerCol`
`javafx.scene.control.Button` `editBtn`
`javafx.scene.control.Button` `editTourBtn`
`javafx.scene.control.Tab` `kartenTab`
`javafx.scene.control.RadioMenuItem` `langdeutsch`
`javafx.scene.control.RadioMenuItem` `langenglisch`
`javafx.scene.control.TableColumn<Log,​java.lang.String>` `logAvgCol`
`javafx.scene.control.TableColumn<Log,​java.lang.String>` `logBemerkungCol`
`javafx.scene.control.TableColumn<Log,​java.lang.String>` `logDatumCol`
`javafx.scene.control.TableColumn<Log,​java.lang.String>` `logDauerCol`
`javafx.scene.control.TableColumn<Log,​java.lang.String>` `logGegangenCol`
`javafx.scene.control.TableColumn<Log,​java.lang.String>` `logHightCol`
`javafx.scene.control.TableColumn<Log,​java.lang.String>` `logPauseCol`
`javafx.scene.control.TableColumn<Log,​java.lang.String>` `logRatingCol1`
`javafx.scene.control.TableColumn<Log,​java.lang.String>` `logStreckeCol`
`javafx.scene.control.TableView<Log>` `logTableView`
`javafx.scene.image.ImageView` `mapImageView`
`javafx.scene.control.Menu` `menuebearbeiten`
`javafx.scene.control.Menu` `menueFile`
`javafx.scene.control.Menu` `menuehilfe`
`javafx.scene.control.Menu` `menueoptionen`
`javafx.scene.control.Menu` `menuesprachen`
`javafx.scene.control.TableColumn<Tour,​java.lang.String>` `nameCol`
`javafx.scene.control.CheckMenuItem` `openmap`
`javafx.scene.control.CheckMenuItem` `openpdf`
`javafx.scene.control.MenuItem` `reportsummary`
`javafx.scene.control.TableColumn<Tour,​java.lang.String>` `startCol`
`javafx.scene.control.TableColumn<Tour,​java.lang.String>` `streckeCol`
`javafx.scene.control.Button` `sucheButton`
`javafx.scene.control.TextField` `sucheInput`
`javafx.scene.control.TextField` `titleTextView`
`javafx.scene.control.ListView<java.lang.String>` `TourListView`
`javafx.scene.control.MenuItem` `tourreport`
`javafx.scene.control.TabPane` `viewTabPane`
`javafx.scene.control.TableColumn<Tour,​java.lang.String>` `zielCol`

### Constructor Summary

Constructors
`TourplanerController()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initialize​(java.net.URL url, java.util.ResourceBundle resourceBundle)` Wird beim Start ausgeführt

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TourListView

    public javafx.scene.control.ListView<java.lang.String> TourListView

#### viewTabPane

    public javafx.scene.control.TabPane viewTabPane

#### kartenTab

    public javafx.scene.control.Tab kartenTab

#### beschreibungTab

    public javafx.scene.control.Tab beschreibungTab

#### beschreibungTableView

    public javafx.scene.control.TableView<Tour> beschreibungTableView

#### startCol

    public javafx.scene.control.TableColumn<Tour,​java.lang.String> startCol

#### zielCol

    public javafx.scene.control.TableColumn<Tour,​java.lang.String> zielCol

#### dauerCol

    public javafx.scene.control.TableColumn<Tour,​java.lang.String> dauerCol

#### streckeCol

    public javafx.scene.control.TableColumn<Tour,​java.lang.String> streckeCol

#### nameCol

    public javafx.scene.control.TableColumn<Tour,​java.lang.String> nameCol

#### titleTextView

    public javafx.scene.control.TextField titleTextView

#### sucheInput

    public javafx.scene.control.TextField sucheInput

#### mapImageView

    public javafx.scene.image.ImageView mapImageView

#### logTableView

    public javafx.scene.control.TableView<Log> logTableView

#### logDauerCol

    public javafx.scene.control.TableColumn<Log,​java.lang.String> logDauerCol

#### logStreckeCol

    public javafx.scene.control.TableColumn<Log,​java.lang.String> logStreckeCol

#### logDatumCol

    public javafx.scene.control.TableColumn<Log,​java.lang.String> logDatumCol

#### logAvgCol

    public javafx.scene.control.TableColumn<Log,​java.lang.String> logAvgCol

#### logHightCol

    public javafx.scene.control.TableColumn<Log,​java.lang.String> logHightCol

#### logPauseCol

    public javafx.scene.control.TableColumn<Log,​java.lang.String> logPauseCol

#### logGegangenCol

    public javafx.scene.control.TableColumn<Log,​java.lang.String> logGegangenCol

#### logBemerkungCol

    public javafx.scene.control.TableColumn<Log,​java.lang.String> logBemerkungCol

#### logRatingCol1

    public javafx.scene.control.TableColumn<Log,​java.lang.String> logRatingCol1

#### openmap

    public javafx.scene.control.CheckMenuItem openmap

#### openpdf

    public javafx.scene.control.CheckMenuItem openpdf

#### langenglisch

    public javafx.scene.control.RadioMenuItem langenglisch

#### langdeutsch

    public javafx.scene.control.RadioMenuItem langdeutsch

#### menueFile

    public javafx.scene.control.Menu menueFile

#### menuebearbeiten

    public javafx.scene.control.Menu menuebearbeiten

#### menueoptionen

    public javafx.scene.control.Menu menueoptionen

#### menuesprachen

    public javafx.scene.control.Menu menuesprachen

#### menuehilfe

    public javafx.scene.control.Menu menuehilfe

#### reportsummary

    public javafx.scene.control.MenuItem reportsummary

#### tourreport

    public javafx.scene.control.MenuItem tourreport

#### beendenButton

    public javafx.scene.control.MenuItem beendenButton

#### sucheButton

    public javafx.scene.control.Button sucheButton

#### editBtn

    public javafx.scene.control.Button editBtn

#### editTourBtn

    public javafx.scene.control.Button editTourBtn

### Constructor Detail

#### TourplanerController

    public TourplanerController()

### Method Detail

#### initialize

    public void initialize​(java.net.URL url,
                           java.util.ResourceBundle resourceBundle)

Wird beim Start ausgeführt

Specified by:
  `initialize` in interface `javafx.fxml.Initializable`
Parameters:
  `url` - Url
  `resourceBundle` - Resource Bundle